Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509671 - Modular Server is missing python-psycopg2
Summary: Modular Server is missing python-psycopg2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F27ServerBetaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-11-05 15:00 UTC by Stephen Gallagher
Modified: 2018-08-23 14:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 14:58:09 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2017-11-05 15:00:26 UTC
Description of problem:
In order to deploy the postgresql role on Fedora Modular Server, we need the python3-psycopg2 package. This package belongs in the postgresql module.

Version-Release number of selected component (if applicable):
Fedora-Modular-27-20171105.n.0

How reproducible:
Every time

Steps to Reproduce:
1. Install Modular Server
2. `rolectl deploy --name "db1" databaseserver`

Actual results:

2017-11-05 09:50:23 DEBUG9: subprocess: ['dnf', '-y', 'install', 'rolekit', 'postgresql-server', 'postgresql-contrib', 'python3-psycopg2']
2017-11-05 09:50:23 DEBUG1: b'Last metadata expiration check: 2:59:25 ago on Sun 05 Nov 2017 06:50:58 AM EST.'
2017-11-05 09:50:30 ERROR: b'Package rolekit-0.5.2-1.module_f875bec9.noarch is already installed, skipping.'
2017-11-05 09:50:30 DEBUG1: b'No match for argument: python3-psycopg2'
2017-11-05 09:50:30 ERROR: b'Error: Unable to find a match'
2017-11-05 09:50:30 DEBUG1: role.databaseserver.db1.PropertiesChanged('org.fedoraproject.rolekit1.role.instance', '{'lasterror': 'COMMAND_FAILED: 256'}', '[]')
2017-11-05 09:50:30 DEBUG1: role.databaseserver.db1.PropertiesChanged('org.fedoraproject.rolekit1.role.instance', '{'state': 'error'}', '[]')
2017-11-05 09:50:30 DEBUG1: role.databaseserver.db1.StateChanged('error')
2017-11-05 09:50:30 ERROR: RolekitError: COMMAND_FAILED: 256


Expected results:
Database should deploy successfully

Additional info:

Comment 1 Fedora Blocker Bugs Application 2017-11-05 15:01:11 UTC
Proposed as a Blocker for 27-server-beta by Fedora user sgallagh using the blocker tracking app because:

 "The core functional requirements for all Featured Server Roles must be met, without any workarounds being necessary." -- Beta Criteria

Comment 2 Stephen Gallagher 2017-11-06 01:08:52 UTC
This has been fixed as of Fedora-Modular-27-20171105.n.3

Note that not all of the mirrors have yet picked this up as of this writing, so if this package is missing while testing, it may be necessary to add a yum repo pointing at https://kojipkgs.fedoraproject.org/compose/Fedora-Modular-27-20171105.n.3/compose/Server/x86_64/os/ (replacing the architecture as appropriate) until the mirrors catch up in 24-48 hours.

Comment 3 Geoffrey Marr 2017-11-06 19:42:19 UTC
Discussed during the 2017-11-06 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"The core functional requirements for all Featured Server Roles must be met, without any workarounds being necessary" for the database server role.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-11-06/f27-blocker-review.2017-11-06-17.00.txt


Note You need to log in before you can comment on or make changes to this bug.